Skip to main content
GET
/
api
/
v1
/
squads
List all squads for an organization
curl --request GET \
  --url https://prod.featherhq.com/api/v1/squads \
  --header 'X-API-Key: <api-key>'
{
  "squads": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "description": "<string>",
      "entrypointAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "archived": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "_count": {
        "transferRules": 123
      },
      "entrypointAgent": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "agentType": "CALL"
      }
    }
  ],
  "pagination": {
    "limit": 10,
    "nextCursor": "<string>"
  }
}

Authorizations

X-API-Key
string
header
required

Query Parameters

cursor
string
limit
string
default:10
archived
string

Response

List of squads retrieved successfully

squads
object[]
required
pagination
object
required